Introducing Recent Tweets Widget (API v1.1)


#1

I had some free time and created a recent tweets widget which uses the new API v1.1

http://wordpress.org/plugins/recent-tweets-widget/

Feel free to extract the code and use it in your themes. :slight_smile:


#2

Alright, I’ll take a look at how it’s coded and see if it will fit my needs. Thank you for sharing your work!


#3

Thanks for sharing. Twitter has made a really bad move requiring own keys for a simple feed API, imo.


#4

couldn’t you just use JSON request?


#5

BIG Thank You!


#6

Just started to implement and use it via TGM Plugin on our themes :wink:
Thx for sharing :sunglasses:


#7

Anyone know of a good plugin for 1.1 API that provides a shortcode, instead of a widget?


#8

Hi ThemePrince,

Thanks alot. We will be using it in our themes.


#9

Nice! We’ll be probably using this as well.


#10

Nice job!

One note, though is that you should use the WordPress HTTP API instead of curl since curl may not be installed on some servers. The WP HTTP API is actually very nice because it figures out what transport to use. :wink:


#11

Thank you themePrince. we’ll use it :slight_smile:


#12

Thanks. We also changing our twitter Widget to yours.


#13
digitalimpact said

Anyone know of a good plugin for 1.1 API that provides a shortcode, instead of a widget?

This is quite useful :slight_smile: hope it helps http://wordpress.org/plugins/rotatingtweets/


#14
SimpleSites4U said
digitalimpact said

Anyone know of a good plugin for 1.1 API that provides a shortcode, instead of a widget?

This is quite useful :slight_smile: hope it helps http://wordpress.org/plugins/rotatingtweets/

Thank you! :slight_smile:


#15

HELLO!

Can this plugin http://wordpress.org/plugins/recent-tweets-widget/ be used multiple times on same page?

Thanks!


#16

Useful thread


#17
Delpierooo said

HELLO!

Can this plugin http://wordpress.org/plugins/recent-tweets-widget/ be used multiple times on same page?

Thanks!

I don’t think so. At least not by default? Am interested if it is possible.


#18

Hi, I’ve tried to use the plugin but get this error what’s wrong with my setting.


Fatal error: Call to undefined function curl_init() in C:\wamp\www\wordpress\wp-content\plugins\recent-tweets-widget\twitteroauth.php on line 1084


Best regards,
Decneo

#19

@Decneo - enable CURL on your local server.


#20
digitalimpact said

@Decneo - enable CURL on your local server.

Thank you very much digitalimpact, you save my time. :slight_smile: